package com.mx.dla.dda.reporte.pagosTransaccion.dtos;

import java.util.Date;
import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class MercanciaI32DTO extends BaseDTO{

	private static final long serialVersionUID = 1L;
	
	private Integer  idMercancia;
	private String fechaContabilidad;    
	private String fechaDocto;    
	private String numeroPo;    
	private String texto;    
	private String actividad;    
	private String estatusDDA;    
	private String rDocMaterial;    
	private String rEjerDoc;
	private String rMensaje;
	private Date   fecha;
    
	private List<MercanciaI32DetDTO> item;

	public Integer getIdMercancia() {
		return idMercancia;
	}

	public void setIdMercancia(Integer idMercancia) {
		this.idMercancia = idMercancia;
	}

	public String getFechaContabilidad() {
		return fechaContabilidad;
	}

	public void setFechaContabilidad(String fechaContabilidad) {
		this.fechaContabilidad = fechaContabilidad;
	}

	public String getFechaDocto() {
		return fechaDocto;
	}

	public void setFechaDocto(String fechaDocto) {
		this.fechaDocto = fechaDocto;
	}

	public String getNumeroPo() {
		return numeroPo;
	}

	public void setNumeroPo(String numeroPo) {
		this.numeroPo = numeroPo;
	}

	public String getTexto() {
		return texto;
	}

	public void setTexto(String texto) {
		this.texto = texto;
	}

	public String getActividad() {
		return actividad;
	}

	public void setActividad(String actividad) {
		this.actividad = actividad;
	}

	public String getEstatusDDA() {
		return estatusDDA;
	}

	public void setEstatusDDA(String estatusDDA) {
		this.estatusDDA = estatusDDA;
	}

	public String getrDocMaterial() {
		return rDocMaterial;
	}

	public void setrDocMaterial(String rDocMaterial) {
		this.rDocMaterial = rDocMaterial;
	}

	public String getrEjerDoc() {
		return rEjerDoc;
	}

	public void setrEjerDoc(String rEjerDoc) {
		this.rEjerDoc = rEjerDoc;
	}

	public String getrMensaje() {
		return rMensaje;
	}

	public void setrMensaje(String rMensaje) {
		this.rMensaje = rMensaje;
	}

	public List<MercanciaI32DetDTO> getItem() {
		return item;
	}

	public void setItem(List<MercanciaI32DetDTO> item) {
		this.item = item;
	}
	public Date getFecha() {
		return fecha;
	}
	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}		

		
}
